Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network81.7.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
81.7.0.0
Broadcast address
81.7.255.255
First usable
81.7.0.1
Last usable
81.7.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
A (default /8)
As numbers
Hex 51070000 · Integer 1359413248 to 1359478783
Reverse DNS zone
7.81.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01010001.00000111..00000000.0000000081.7.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network01010001.00000111..00000000.0000000081.7.0.0
Broadcast01010001.00000111..11111111.1111111181.7.255.255
Split into smaller subnets/28

81.7.0.0/16 makes 4,096 subnets of /28; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
181.7.0.0/2881.7.0.1 to 81.7.0.1481.7.0.1514
281.7.0.16/2881.7.0.17 to 81.7.0.3081.7.0.3114
381.7.0.32/2881.7.0.33 to 81.7.0.4681.7.0.4714
481.7.0.48/2881.7.0.49 to 81.7.0.6281.7.0.6314
581.7.0.64/2881.7.0.65 to 81.7.0.7881.7.0.7914
681.7.0.80/2881.7.0.81 to 81.7.0.9481.7.0.9514
781.7.0.96/2881.7.0.97 to 81.7.0.11081.7.0.11114
881.7.0.112/2881.7.0.113 to 81.7.0.12681.7.0.12714
981.7.0.128/2881.7.0.129 to 81.7.0.14281.7.0.14314
1081.7.0.144/2881.7.0.145 to 81.7.0.15881.7.0.15914
1181.7.0.160/2881.7.0.161 to 81.7.0.17481.7.0.17514
1281.7.0.176/2881.7.0.177 to 81.7.0.19081.7.0.19114
1381.7.0.192/2881.7.0.193 to 81.7.0.20681.7.0.20714
1481.7.0.208/2881.7.0.209 to 81.7.0.22281.7.0.22314
1581.7.0.224/2881.7.0.225 to 81.7.0.23881.7.0.23914
1681.7.0.240/2881.7.0.241 to 81.7.0.25481.7.0.25514
1781.7.1.0/2881.7.1.1 to 81.7.1.1481.7.1.1514
1881.7.1.16/2881.7.1.17 to 81.7.1.3081.7.1.3114
1981.7.1.32/2881.7.1.33 to 81.7.1.4681.7.1.4714
2081.7.1.48/2881.7.1.49 to 81.7.1.6281.7.1.6314
2181.7.1.64/2881.7.1.65 to 81.7.1.7881.7.1.7914
2281.7.1.80/2881.7.1.81 to 81.7.1.9481.7.1.9514
2381.7.1.96/2881.7.1.97 to 81.7.1.11081.7.1.11114
2481.7.1.112/2881.7.1.113 to 81.7.1.12681.7.1.12714
2581.7.1.128/2881.7.1.129 to 81.7.1.14281.7.1.14314
2681.7.1.144/2881.7.1.145 to 81.7.1.15881.7.1.15914
2781.7.1.160/2881.7.1.161 to 81.7.1.17481.7.1.17514
2881.7.1.176/2881.7.1.177 to 81.7.1.19081.7.1.19114
2981.7.1.192/2881.7.1.193 to 81.7.1.20681.7.1.20714
3081.7.1.208/2881.7.1.209 to 81.7.1.22281.7.1.22314
3181.7.1.224/2881.7.1.225 to 81.7.1.23881.7.1.23914
3281.7.1.240/2881.7.1.241 to 81.7.1.25481.7.1.25514
3381.7.2.0/2881.7.2.1 to 81.7.2.1481.7.2.1514
3481.7.2.16/2881.7.2.17 to 81.7.2.3081.7.2.3114
3581.7.2.32/2881.7.2.33 to 81.7.2.4681.7.2.4714
3681.7.2.48/2881.7.2.49 to 81.7.2.6281.7.2.6314
3781.7.2.64/2881.7.2.65 to 81.7.2.7881.7.2.7914
3881.7.2.80/2881.7.2.81 to 81.7.2.9481.7.2.9514
3981.7.2.96/2881.7.2.97 to 81.7.2.11081.7.2.11114
4081.7.2.112/2881.7.2.113 to 81.7.2.12681.7.2.12714
4181.7.2.128/2881.7.2.129 to 81.7.2.14281.7.2.14314
4281.7.2.144/2881.7.2.145 to 81.7.2.15881.7.2.15914
4381.7.2.160/2881.7.2.161 to 81.7.2.17481.7.2.17514
4481.7.2.176/2881.7.2.177 to 81.7.2.19081.7.2.19114
4581.7.2.192/2881.7.2.193 to 81.7.2.20681.7.2.20714
4681.7.2.208/2881.7.2.209 to 81.7.2.22281.7.2.22314
4781.7.2.224/2881.7.2.225 to 81.7.2.23881.7.2.23914
4881.7.2.240/2881.7.2.241 to 81.7.2.25481.7.2.25514
4981.7.3.0/2881.7.3.1 to 81.7.3.1481.7.3.1514
5081.7.3.16/2881.7.3.17 to 81.7.3.3081.7.3.3114
5181.7.3.32/2881.7.3.33 to 81.7.3.4681.7.3.4714
5281.7.3.48/2881.7.3.49 to 81.7.3.6281.7.3.6314
5381.7.3.64/2881.7.3.65 to 81.7.3.7881.7.3.7914
5481.7.3.80/2881.7.3.81 to 81.7.3.9481.7.3.9514
5581.7.3.96/2881.7.3.97 to 81.7.3.11081.7.3.11114
5681.7.3.112/2881.7.3.113 to 81.7.3.12681.7.3.12714
5781.7.3.128/2881.7.3.129 to 81.7.3.14281.7.3.14314
5881.7.3.144/2881.7.3.145 to 81.7.3.15881.7.3.15914
5981.7.3.160/2881.7.3.161 to 81.7.3.17481.7.3.17514
6081.7.3.176/2881.7.3.177 to 81.7.3.19081.7.3.19114
6181.7.3.192/2881.7.3.193 to 81.7.3.20681.7.3.20714
6281.7.3.208/2881.7.3.209 to 81.7.3.22281.7.3.22314
6381.7.3.224/2881.7.3.225 to 81.7.3.23881.7.3.23914
6481.7.3.240/2881.7.3.241 to 81.7.3.25481.7.3.25514
6581.7.4.0/2881.7.4.1 to 81.7.4.1481.7.4.1514
6681.7.4.16/2881.7.4.17 to 81.7.4.3081.7.4.3114
6781.7.4.32/2881.7.4.33 to 81.7.4.4681.7.4.4714
6881.7.4.48/2881.7.4.49 to 81.7.4.6281.7.4.6314
6981.7.4.64/2881.7.4.65 to 81.7.4.7881.7.4.7914
7081.7.4.80/2881.7.4.81 to 81.7.4.9481.7.4.9514
7181.7.4.96/2881.7.4.97 to 81.7.4.11081.7.4.11114
7281.7.4.112/2881.7.4.113 to 81.7.4.12681.7.4.12714
7381.7.4.128/2881.7.4.129 to 81.7.4.14281.7.4.14314
7481.7.4.144/2881.7.4.145 to 81.7.4.15881.7.4.15914
7581.7.4.160/2881.7.4.161 to 81.7.4.17481.7.4.17514
7681.7.4.176/2881.7.4.177 to 81.7.4.19081.7.4.19114
7781.7.4.192/2881.7.4.193 to 81.7.4.20681.7.4.20714
7881.7.4.208/2881.7.4.209 to 81.7.4.22281.7.4.22314
7981.7.4.224/2881.7.4.225 to 81.7.4.23881.7.4.23914
8081.7.4.240/2881.7.4.241 to 81.7.4.25481.7.4.25514
8181.7.5.0/2881.7.5.1 to 81.7.5.1481.7.5.1514
8281.7.5.16/2881.7.5.17 to 81.7.5.3081.7.5.3114
8381.7.5.32/2881.7.5.33 to 81.7.5.4681.7.5.4714
8481.7.5.48/2881.7.5.49 to 81.7.5.6281.7.5.6314
8581.7.5.64/2881.7.5.65 to 81.7.5.7881.7.5.7914
8681.7.5.80/2881.7.5.81 to 81.7.5.9481.7.5.9514
8781.7.5.96/2881.7.5.97 to 81.7.5.11081.7.5.11114
8881.7.5.112/2881.7.5.113 to 81.7.5.12681.7.5.12714
8981.7.5.128/2881.7.5.129 to 81.7.5.14281.7.5.14314
9081.7.5.144/2881.7.5.145 to 81.7.5.15881.7.5.15914
9181.7.5.160/2881.7.5.161 to 81.7.5.17481.7.5.17514
9281.7.5.176/2881.7.5.177 to 81.7.5.19081.7.5.19114
9381.7.5.192/2881.7.5.193 to 81.7.5.20681.7.5.20714
9481.7.5.208/2881.7.5.209 to 81.7.5.22281.7.5.22314
9581.7.5.224/2881.7.5.225 to 81.7.5.23881.7.5.23914
9681.7.5.240/2881.7.5.241 to 81.7.5.25481.7.5.25514
9781.7.6.0/2881.7.6.1 to 81.7.6.1481.7.6.1514
9881.7.6.16/2881.7.6.17 to 81.7.6.3081.7.6.3114
9981.7.6.32/2881.7.6.33 to 81.7.6.4681.7.6.4714
10081.7.6.48/2881.7.6.49 to 81.7.6.6281.7.6.6314
10181.7.6.64/2881.7.6.65 to 81.7.6.7881.7.6.7914
10281.7.6.80/2881.7.6.81 to 81.7.6.9481.7.6.9514
10381.7.6.96/2881.7.6.97 to 81.7.6.11081.7.6.11114
10481.7.6.112/2881.7.6.113 to 81.7.6.12681.7.6.12714
10581.7.6.128/2881.7.6.129 to 81.7.6.14281.7.6.14314
10681.7.6.144/2881.7.6.145 to 81.7.6.15881.7.6.15914
10781.7.6.160/2881.7.6.161 to 81.7.6.17481.7.6.17514
10881.7.6.176/2881.7.6.177 to 81.7.6.19081.7.6.19114
10981.7.6.192/2881.7.6.193 to 81.7.6.20681.7.6.20714
11081.7.6.208/2881.7.6.209 to 81.7.6.22281.7.6.22314
11181.7.6.224/2881.7.6.225 to 81.7.6.23881.7.6.23914
11281.7.6.240/2881.7.6.241 to 81.7.6.25481.7.6.25514
11381.7.7.0/2881.7.7.1 to 81.7.7.1481.7.7.1514
11481.7.7.16/2881.7.7.17 to 81.7.7.3081.7.7.3114
11581.7.7.32/2881.7.7.33 to 81.7.7.4681.7.7.4714
11681.7.7.48/2881.7.7.49 to 81.7.7.6281.7.7.6314
11781.7.7.64/2881.7.7.65 to 81.7.7.7881.7.7.7914
11881.7.7.80/2881.7.7.81 to 81.7.7.9481.7.7.9514
11981.7.7.96/2881.7.7.97 to 81.7.7.11081.7.7.11114
12081.7.7.112/2881.7.7.113 to 81.7.7.12681.7.7.12714
12181.7.7.128/2881.7.7.129 to 81.7.7.14281.7.7.14314
12281.7.7.144/2881.7.7.145 to 81.7.7.15881.7.7.15914
12381.7.7.160/2881.7.7.161 to 81.7.7.17481.7.7.17514
12481.7.7.176/2881.7.7.177 to 81.7.7.19081.7.7.19114
12581.7.7.192/2881.7.7.193 to 81.7.7.20681.7.7.20714
12681.7.7.208/2881.7.7.209 to 81.7.7.22281.7.7.22314
12781.7.7.224/2881.7.7.225 to 81.7.7.23881.7.7.23914
12881.7.7.240/2881.7.7.241 to 81.7.7.25481.7.7.25514
12981.7.8.0/2881.7.8.1 to 81.7.8.1481.7.8.1514
13081.7.8.16/2881.7.8.17 to 81.7.8.3081.7.8.3114
13181.7.8.32/2881.7.8.33 to 81.7.8.4681.7.8.4714
13281.7.8.48/2881.7.8.49 to 81.7.8.6281.7.8.6314
13381.7.8.64/2881.7.8.65 to 81.7.8.7881.7.8.7914
13481.7.8.80/2881.7.8.81 to 81.7.8.9481.7.8.9514
13581.7.8.96/2881.7.8.97 to 81.7.8.11081.7.8.11114
13681.7.8.112/2881.7.8.113 to 81.7.8.12681.7.8.12714
13781.7.8.128/2881.7.8.129 to 81.7.8.14281.7.8.14314
13881.7.8.144/2881.7.8.145 to 81.7.8.15881.7.8.15914
13981.7.8.160/2881.7.8.161 to 81.7.8.17481.7.8.17514
14081.7.8.176/2881.7.8.177 to 81.7.8.19081.7.8.19114
14181.7.8.192/2881.7.8.193 to 81.7.8.20681.7.8.20714
14281.7.8.208/2881.7.8.209 to 81.7.8.22281.7.8.22314
14381.7.8.224/2881.7.8.225 to 81.7.8.23881.7.8.23914
14481.7.8.240/2881.7.8.241 to 81.7.8.25481.7.8.25514
14581.7.9.0/2881.7.9.1 to 81.7.9.1481.7.9.1514
14681.7.9.16/2881.7.9.17 to 81.7.9.3081.7.9.3114
14781.7.9.32/2881.7.9.33 to 81.7.9.4681.7.9.4714
14881.7.9.48/2881.7.9.49 to 81.7.9.6281.7.9.6314
14981.7.9.64/2881.7.9.65 to 81.7.9.7881.7.9.7914
15081.7.9.80/2881.7.9.81 to 81.7.9.9481.7.9.9514
15181.7.9.96/2881.7.9.97 to 81.7.9.11081.7.9.11114
15281.7.9.112/2881.7.9.113 to 81.7.9.12681.7.9.12714
15381.7.9.128/2881.7.9.129 to 81.7.9.14281.7.9.14314
15481.7.9.144/2881.7.9.145 to 81.7.9.15881.7.9.15914
15581.7.9.160/2881.7.9.161 to 81.7.9.17481.7.9.17514
15681.7.9.176/2881.7.9.177 to 81.7.9.19081.7.9.19114
15781.7.9.192/2881.7.9.193 to 81.7.9.20681.7.9.20714
15881.7.9.208/2881.7.9.209 to 81.7.9.22281.7.9.22314
15981.7.9.224/2881.7.9.225 to 81.7.9.23881.7.9.23914
16081.7.9.240/2881.7.9.241 to 81.7.9.25481.7.9.25514
16181.7.10.0/2881.7.10.1 to 81.7.10.1481.7.10.1514
16281.7.10.16/2881.7.10.17 to 81.7.10.3081.7.10.3114
16381.7.10.32/2881.7.10.33 to 81.7.10.4681.7.10.4714
16481.7.10.48/2881.7.10.49 to 81.7.10.6281.7.10.6314
16581.7.10.64/2881.7.10.65 to 81.7.10.7881.7.10.7914
16681.7.10.80/2881.7.10.81 to 81.7.10.9481.7.10.9514
16781.7.10.96/2881.7.10.97 to 81.7.10.11081.7.10.11114
16881.7.10.112/2881.7.10.113 to 81.7.10.12681.7.10.12714
16981.7.10.128/2881.7.10.129 to 81.7.10.14281.7.10.14314
17081.7.10.144/2881.7.10.145 to 81.7.10.15881.7.10.15914
17181.7.10.160/2881.7.10.161 to 81.7.10.17481.7.10.17514
17281.7.10.176/2881.7.10.177 to 81.7.10.19081.7.10.19114
17381.7.10.192/2881.7.10.193 to 81.7.10.20681.7.10.20714
17481.7.10.208/2881.7.10.209 to 81.7.10.22281.7.10.22314
17581.7.10.224/2881.7.10.225 to 81.7.10.23881.7.10.23914
17681.7.10.240/2881.7.10.241 to 81.7.10.25481.7.10.25514
17781.7.11.0/2881.7.11.1 to 81.7.11.1481.7.11.1514
17881.7.11.16/2881.7.11.17 to 81.7.11.3081.7.11.3114
17981.7.11.32/2881.7.11.33 to 81.7.11.4681.7.11.4714
18081.7.11.48/2881.7.11.49 to 81.7.11.6281.7.11.6314
18181.7.11.64/2881.7.11.65 to 81.7.11.7881.7.11.7914
18281.7.11.80/2881.7.11.81 to 81.7.11.9481.7.11.9514
18381.7.11.96/2881.7.11.97 to 81.7.11.11081.7.11.11114
18481.7.11.112/2881.7.11.113 to 81.7.11.12681.7.11.12714
18581.7.11.128/2881.7.11.129 to 81.7.11.14281.7.11.14314
18681.7.11.144/2881.7.11.145 to 81.7.11.15881.7.11.15914
18781.7.11.160/2881.7.11.161 to 81.7.11.17481.7.11.17514
18881.7.11.176/2881.7.11.177 to 81.7.11.19081.7.11.19114
18981.7.11.192/2881.7.11.193 to 81.7.11.20681.7.11.20714
19081.7.11.208/2881.7.11.209 to 81.7.11.22281.7.11.22314
19181.7.11.224/2881.7.11.225 to 81.7.11.23881.7.11.23914
19281.7.11.240/2881.7.11.241 to 81.7.11.25481.7.11.25514
19381.7.12.0/2881.7.12.1 to 81.7.12.1481.7.12.1514
19481.7.12.16/2881.7.12.17 to 81.7.12.3081.7.12.3114
19581.7.12.32/2881.7.12.33 to 81.7.12.4681.7.12.4714
19681.7.12.48/2881.7.12.49 to 81.7.12.6281.7.12.6314
19781.7.12.64/2881.7.12.65 to 81.7.12.7881.7.12.7914
19881.7.12.80/2881.7.12.81 to 81.7.12.9481.7.12.9514
19981.7.12.96/2881.7.12.97 to 81.7.12.11081.7.12.11114
20081.7.12.112/2881.7.12.113 to 81.7.12.12681.7.12.12714
20181.7.12.128/2881.7.12.129 to 81.7.12.14281.7.12.14314
20281.7.12.144/2881.7.12.145 to 81.7.12.15881.7.12.15914
20381.7.12.160/2881.7.12.161 to 81.7.12.17481.7.12.17514
20481.7.12.176/2881.7.12.177 to 81.7.12.19081.7.12.19114
20581.7.12.192/2881.7.12.193 to 81.7.12.20681.7.12.20714
20681.7.12.208/2881.7.12.209 to 81.7.12.22281.7.12.22314
20781.7.12.224/2881.7.12.225 to 81.7.12.23881.7.12.23914
20881.7.12.240/2881.7.12.241 to 81.7.12.25481.7.12.25514
20981.7.13.0/2881.7.13.1 to 81.7.13.1481.7.13.1514
21081.7.13.16/2881.7.13.17 to 81.7.13.3081.7.13.3114
21181.7.13.32/2881.7.13.33 to 81.7.13.4681.7.13.4714
21281.7.13.48/2881.7.13.49 to 81.7.13.6281.7.13.6314
21381.7.13.64/2881.7.13.65 to 81.7.13.7881.7.13.7914
21481.7.13.80/2881.7.13.81 to 81.7.13.9481.7.13.9514
21581.7.13.96/2881.7.13.97 to 81.7.13.11081.7.13.11114
21681.7.13.112/2881.7.13.113 to 81.7.13.12681.7.13.12714
21781.7.13.128/2881.7.13.129 to 81.7.13.14281.7.13.14314
21881.7.13.144/2881.7.13.145 to 81.7.13.15881.7.13.15914
21981.7.13.160/2881.7.13.161 to 81.7.13.17481.7.13.17514
22081.7.13.176/2881.7.13.177 to 81.7.13.19081.7.13.19114
22181.7.13.192/2881.7.13.193 to 81.7.13.20681.7.13.20714
22281.7.13.208/2881.7.13.209 to 81.7.13.22281.7.13.22314
22381.7.13.224/2881.7.13.225 to 81.7.13.23881.7.13.23914
22481.7.13.240/2881.7.13.241 to 81.7.13.25481.7.13.25514
22581.7.14.0/2881.7.14.1 to 81.7.14.1481.7.14.1514
22681.7.14.16/2881.7.14.17 to 81.7.14.3081.7.14.3114
22781.7.14.32/2881.7.14.33 to 81.7.14.4681.7.14.4714
22881.7.14.48/2881.7.14.49 to 81.7.14.6281.7.14.6314
22981.7.14.64/2881.7.14.65 to 81.7.14.7881.7.14.7914
23081.7.14.80/2881.7.14.81 to 81.7.14.9481.7.14.9514
23181.7.14.96/2881.7.14.97 to 81.7.14.11081.7.14.11114
23281.7.14.112/2881.7.14.113 to 81.7.14.12681.7.14.12714
23381.7.14.128/2881.7.14.129 to 81.7.14.14281.7.14.14314
23481.7.14.144/2881.7.14.145 to 81.7.14.15881.7.14.15914
23581.7.14.160/2881.7.14.161 to 81.7.14.17481.7.14.17514
23681.7.14.176/2881.7.14.177 to 81.7.14.19081.7.14.19114
23781.7.14.192/2881.7.14.193 to 81.7.14.20681.7.14.20714
23881.7.14.208/2881.7.14.209 to 81.7.14.22281.7.14.22314
23981.7.14.224/2881.7.14.225 to 81.7.14.23881.7.14.23914
24081.7.14.240/2881.7.14.241 to 81.7.14.25481.7.14.25514
24181.7.15.0/2881.7.15.1 to 81.7.15.1481.7.15.1514
24281.7.15.16/2881.7.15.17 to 81.7.15.3081.7.15.3114
24381.7.15.32/2881.7.15.33 to 81.7.15.4681.7.15.4714
24481.7.15.48/2881.7.15.49 to 81.7.15.6281.7.15.6314
24581.7.15.64/2881.7.15.65 to 81.7.15.7881.7.15.7914
24681.7.15.80/2881.7.15.81 to 81.7.15.9481.7.15.9514
24781.7.15.96/2881.7.15.97 to 81.7.15.11081.7.15.11114
24881.7.15.112/2881.7.15.113 to 81.7.15.12681.7.15.12714
24981.7.15.128/2881.7.15.129 to 81.7.15.14281.7.15.14314
25081.7.15.144/2881.7.15.145 to 81.7.15.15881.7.15.15914
25181.7.15.160/2881.7.15.161 to 81.7.15.17481.7.15.17514
25281.7.15.176/2881.7.15.177 to 81.7.15.19081.7.15.19114
25381.7.15.192/2881.7.15.193 to 81.7.15.20681.7.15.20714
25481.7.15.208/2881.7.15.209 to 81.7.15.22281.7.15.22314
25581.7.15.224/2881.7.15.225 to 81.7.15.23881.7.15.23914
25681.7.15.240/2881.7.15.241 to 81.7.15.25481.7.15.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses